<?php namespace App\DAO\DAOResponse;

use App\DAO\Pagination\Pagination;
use App\Utils\ResponseAbstract\ResponseAbstract;

class DAOResponse extends ResponseAbstract
{
    private $pagination;

    public function getPagination() : ?Pagination
    {
        return $this->pagination;
    }

    public function setPagination(?Pagination $pagination): void
    {
        $this->pagination = $pagination;
    }

    public static function builder() : DAOResponseBuilder
    {
        $service_response_builder = new DAOResponseBuilder();
        return $service_response_builder;
    }
}